Bug 127845 - apm suspend/resume does not work
apm suspend/resume does not work
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-07-14 13:04 EDT by David Roberts
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Roberts 2004-07-14 13:04:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
I have an IBM Thinkpad X30 running Fedora Core 2.  I am running the
latest update of all RPMs.  I am using acpi=off to disable acpi.  It
appears that apm and acpi will not work concurrently in this kernel. 
If I do not do this, apm commands do not work at all.

All debugging I can do (this is limited) suggests that suspend works fine.

Resume brings power back on, but the screen is blank and the system is
unresponsive.  The system must be power cycled to recover.  I have
inserted echo commands into /etc/sysconfig/apm-scripts/apmscript and
it appears that when a resume takes place, apmscript is called with
the start option rather than resume.

If I modify apmscript and replace the case condition resume with
start, It still does not work.

Version-Release number of selected component (if applicable):
apmd-3.0.2-22, kernel-2.6.6-1.435.2.3

How reproducible:

Steps to Reproduce:
Boot system with kernel parameter acpi=off
Suspend system
Resume system

Actual Results:  System is unresponsive.  Screen is powered up but
blank.  Hard disk is not active.

Expected Results:  System should resume from suspend and function.

Additional info:
Comment 1 Bill Nottingham 2004-07-14 15:11:15 EDT
This is an interaction between the kernel and your BIOS.
Comment 2 Dave Jones 2005-04-16 01:38:59 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.